package cn.com.ty.lift.ud.question.service;

import cn.com.ty.lift.ud.chat.mapper.entity.LiftCaseEntity;
import cn.com.ty.lift.ud.question.controller.query.QuestionBankQuery;
import cn.com.ty.lift.ud.question.mapper.entity.GiveMoneyDto;
import cn.com.ty.lift.ud.question.mapper.entity.QuestionBankEntity;
import cn.com.ty.lift.ud.common.NotExamineDto;
import cn.com.ty.lift.ud.question.controller.query.QuestionBankAppQuery;
import cn.com.ty.lift.ud.question.mapper.entity.QuestionCollectDto;
import cn.com.xwy.boot.web.dto.RestResponse;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 题库 -Service
 * 
 * @author Xson
 * @date 2020-04-25
 */
public interface IQuestionBankService extends IService<QuestionBankEntity> {

    RestResponse updateByIds(List<Long> ids, Integer status);

    void toUpOrDown(Long id,Integer flag);

    RestResponse examineById(NotExamineDto neDto);


    RestResponse selectByExample(QuestionBankQuery request);

    RestResponse selectAppByExample(QuestionBankAppQuery request);

    void like(Long questionId, Long userId);

    void collect(Long questionId, Long userId);

    void see(Long questionId, Long userId);

    void giveMoney(GiveMoneyDto giveMoney);

    QuestionBankEntity selectById(Long id);

    QuestionBankEntity selectInfo(Long questionId, Long userId);

    void noCollect(Long questionId, Long userId);

    void noLike(Long questionId, Long userId);

    RestResponse questionCollect(QuestionCollectDto qbEntity);

    RestResponse modify(QuestionBankEntity entiy);
}
